Bug 53757 - [Maintainer] Unbreak games/quakeforge on 5.1/alpha
[Maintainer] Unbreak games/quakeforge on 5.1/alpha
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-26 11:20 UTC by q
Modified: 2003-07-08 06:00 UTC (History)
0 users

See Also:


Attachments
patch-qfbsp (654 bytes, text/plain; charset=us-ascii)
2003-07-07 19:34 UTC, q
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description q 2003-06-26 11:20:22 UTC
- Unbreak Quakeforge on Alpha
- Change COMMENT, so it doesn't b0rk vims syntax highlighting (this is annoying)
- Remove useless use of cat
- Not tested on -STABLE, but should work nevertheless

Note: There are still some alignment issues, but it builds and some clients/servers
are actually usable.

Fix: 

--- Makefile	28 Mar 2003 10:15:55 -0000	1.34
+++ Makefile	26 Jun 2003 10:08:45 -0000
@@ -25,7 +25,7 @@
 .endif
 
 MAINTAINER=	q@uni.de
-COMMENT=	Cleaned up copy of the GPL'd Quake 1 source code
+COMMENT=	Cleaned up copy of the GPLd Quake 1 source code
 
 WADFILE=	quakesw-1.0.6.tar.gz
 PROGFILE=	qwsv-2.30-glibc-i386-unknown-linux2.0.tar.gz
@@ -34,6 +34,7 @@
 USE_LIBTOOL=	yes
 USE_GMAKE=	yes
 USE_XLIB=	yes
+USE_REINPLACE=	yes
 INSTALLS_SHLIB=	yes
 
 .include <bsd.port.pre.mk>
@@ -168,6 +169,11 @@
 	@${ECHO_MSG} "Define WITHOUT_CLIENTS to disable building of the clients"
 .endif
 
+post-patch:
+.if (${ARCH} == "alpha")
+	@${REINPLACE_CMD} -e 's/-ffast-math//' ${WRKSRC}/configure
+.endif
+
 do-install:
 	@(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
 
@@ -197,6 +203,6 @@
 .endif
 
 post-install:
-	@${CAT} ${PKGMESSAGE} | ${SED} -e 's#$${PREFIX}#${PREFIX}#g'
+	@${SED} -e 's#$${PREFIX}#${PREFIX}#g' ${PKGMESSAGE} 
 
 .include <bsd.port.post.mk>
Comment 1 Daichi GOTO freebsd_committer 2003-06-26 15:19:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 q 2003-07-07 19:34:21 UTC
On Thu, 26.06.2003 at 07:19:51 -0700, Daichi GOTO wrote:
> Synopsis: [Maintainer] Unbreak games/quakeforge on 5.1/alpha
> 
> State-Changed-From-To: open->closed
> State-Changed-By: daichi
> State-Changed-When: Thu Jun 26 07:19:36 PDT 2003
> State-Changed-Why: 
> Committed. Thanks!
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=53757

Oh crap, there is a patch missing in this PR. I must have attached the
wrong file :(

The Patch to Makefile is not enough, we need another patch
files/patch-qfbsp for this to compile on Alpha.

I hate Murphy...

-- 
FreeBSD	is the most powerful OS.
NetBSD	is the most portable OS.
OpenBSD	is the most secure OS.
Linux	is the most popular OS.
Comment 3 Daichi GOTO freebsd_committer 2003-07-08 05:53:02 UTC
> On Thu, 26.06.2003 at 07:19:51 -0700, Daichi GOTO wrote:
> > Synopsis: [Maintainer] Unbreak games/quakeforge on 5.1/alpha
> > 
> > State-Changed-From-To: open->closed
> > State-Changed-By: daichi
> > State-Changed-When: Thu Jun 26 07:19:36 PDT 2003
> > State-Changed-Why: 
> > Committed. Thanks!
> > 
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=53757
> 
> Oh crap, there is a patch missing in this PR. I must have attached the
> wrong file :(
> 
> The Patch to Makefile is not enough, we need another patch
> files/patch-qfbsp for this to compile on Alpha.
> 
> I hate Murphy...

Hi Ulrich.

I committed your patch :) Thanks!

--
  Daichi GOTO, http://people.freebsd.org/~daichi